### Class

# Ide SimpleBuildSystemDiscovery

#### Description

    class Ide.SimpleBuildSystemDiscovery : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeBuildSystemDiscovery

#### Instance methods

###### ide_simple_build_system_discovery_get_glob

No description available.

###### ide_simple_build_system_discovery_get_hint

No description available.

###### ide_simple_build_system_discovery_get_priority

No description available.

###### ide_simple_build_system_discovery_set_glob

No description available.

###### ide_simple_build_system_discovery_set_hint

No description available.

###### ide_simple_build_system_discovery_set_priority

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeBuildSystemDiscovery (1)

###### ide_build_system_discovery_discover

This virtual method can be used to try to discover the build system to use for a particular project. This might be used in cases like Flatpak where the build system can be determined from the .json manifest rather than auto-discovery by locating project files.

Available since: 3.32

#### Properties

###### Ide.SimpleBuildSystemDiscovery:glob

The “glob” property is a glob to match for files within the project directory. This can be used to quickly match the project file, such as “configure.*”.

Available since: 3.32

###### Ide.SimpleBuildSystemDiscovery:hint

The “hint” property is used from `ide_build_system_discovery_discover()` if the build file was discovered.

Available since: 3.32

###### Ide.SimpleBuildSystemDiscovery:priority

The “priority” property is the priority of any match.

Available since: 3.32

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSimpleBuildSystemDiscoveryClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.